Magick++: Magick::ColorYUV Class Reference

Magick++ 6.9.6

Public Member Functions | Protected Member Functions | List of all members
Magick::ColorYUV Class Reference

`#include <Color.h>`

Inheritance diagram for Magick::ColorYUV:
[legend]
Collaboration diagram for Magick::ColorYUV:
[legend]

## Public Member Functions
| ColorYUV (void)
| ColorYUV (const Color &color_)
| ColorYUV (double y_, double u_, double v_)
| ~ColorYUV (void)
ColorYUV & | operator= (const Color &color_)
void | u (double u_)
double | u (void) const
void | v (double v_)
double | v (void) const
void | y (double y_)
double | y (void) const
Public Member Functions inherited from Magick::Color
| Color (void)
| Color (Magick::Quantum red_, Magick::Quantum green_, Magick::Quantum blue_)
| Color (Magick::Quantum red_, Magick::Quantum green_, Magick::Quantum blue_, Magick::Quantum alpha_)
| Color (const char *x11color_)
| Color (const Color &color_)
| Color (const PixelPacket &color_)
| Color (const std::string &x11color_)
virtual | ~Color (void)
Color & | operator= (const Color &color_)
const Color & | operator= (const char *x11color)
const Color & | operator= (const std::string &x11color_)
const Color & | operator= (const PixelPacket &color_)
| operator PixelPacket () const
| operator std::string () const
void | alpha (double alpha_)
double | alpha (void) const
void | alphaQuantum (Quantum alpha_)
Quantum | alphaQuantum (void) const
void | blueQuantum (Quantum blue_)
Quantum | blueQuantum (void) const
void | greenQuantum (Quantum green_)
Quantum | greenQuantum (void) const
void | isValid (bool valid_)
bool | isValid (void) const
void | redQuantum (Quantum red_)
Quantum | redQuantum (void) const
double | intensity (void) const

## Protected Member Functions
| ColorYUV (PixelPacket *rep_, PixelType pixelType_)
Protected Member Functions inherited from Magick::Color
| Color (PixelPacket *rep_, PixelType pixelType_)
void | pixel (PixelPacket *rep_, PixelType pixelType_)

## Additional Inherited Members
Static Public Member Functions inherited from Magick::Color
static Quantum | scaleDoubleToQuantum (const double double_)
static double | scaleQuantumToDouble (const Quantum quantum_)
Protected Types inherited from Magick::Color
enum | PixelType { RGBPixel, RGBAPixel, CYMKPixel }
Protected Attributes inherited from Magick::Color
PixelPacket * | _pixel

## Detailed Description

Definition at line 336 of file Color.h.

## Constructor & Destructor Documentation

Magick::ColorYUV::ColorYUV | ( | void |  | ) |

Definition at line 545 of file Color.cpp.

Magick::ColorYUV::ColorYUV | ( | const Color & | color_ | ) |

Definition at line 550 of file Color.cpp.

Magick::ColorYUV::ColorYUV | ( | double | y_,
|  | double | u_,
|  | double | v_
| ) |  |

Definition at line 555 of file Color.cpp.

References Magick::Color::alphaQuantum().

Magick::ColorYUV::~ColorYUV | ( | void |  | ) |

Definition at line 563 of file Color.cpp.

Magick::ColorYUV::ColorYUV | ( | Magick::PixelPacket * | rep_,
|  | PixelType | pixelType_
| ) |  |
| inlineprotected

Definition at line 518 of file Color.h.

## Member Function Documentation

Magick::ColorYUV & Magick::ColorYUV::operator= | ( | const Color & | color_ | ) |

Definition at line 567 of file Color.cpp.

void Magick::ColorYUV::u | ( | double | u_ | ) |

Definition at line 573 of file Color.cpp.

double Magick::ColorYUV::u | ( | void |  | ) | const

Definition at line 583 of file Color.cpp.

void Magick::ColorYUV::v | ( | double | v_ | ) |

Definition at line 589 of file Color.cpp.

double Magick::ColorYUV::v | ( | void |  | ) | const

Definition at line 599 of file Color.cpp.

void Magick::ColorYUV::y | ( | double | y_ | ) |

Definition at line 605 of file Color.cpp.

double Magick::ColorYUV::y | ( | void |  | ) | const

Definition at line 615 of file Color.cpp.

The documentation for this class was generated from the following files:

- Color.h
- Color.cpp